#!/usr/bin/env perl

# The input arguments to this script are set up in 
# Xyce_Test/TestScripts/tsc_run_test_suite and are as follows:
# $1 = location of Xyce binary
# $2 = location of xyce_verify.pl script
# $3 = location of compare script 
# $4 = location of circuit file to test
# $5 = location of gold standard prn file

# If Xyce does not produce a prn file, then we return exit code 10.
# If Xyce succeeds, but the test fails, then we return exit code 2.
# If the shell script fails for some reason, then we return exit code 1.
# Otherwise we return the exit code of compare or xyce_verify.pl

# Since the shell script runs Xyce also, it is responsible for capturing any
# error output from Xyce.  The script run_xyce_regression captures the test
# output and handles the resulting files.  

$XYCE=$ARGV[0];
#$XYCE_VERIFY=$ARGV[1];
#$XYCE_COMPARE=$ARGV[2];
$CIRFILE=$ARGV[3];
#$GOLDPRN=$ARGV[4];

$date1 = `date`;
#print "\$date1 = >>$date1<<\n";

$CMD="$XYCE -v > $CIRFILE.out 2> $CIRFILE.err";
if (system("$CMD") != 0) { print "Exit code = 10\n"; exit 10; }

$date2 = `date`;
#print "\$date2 = >>$date2<<\n";

open(outfile,"$CIRFILE.out") or die "Error:  Cannot open $CIRFILE.out\n";
while ($line = <outfile>)
{
  #print "\$line = >>$line<<\n";
  ## if (($line eq $date1) or ($line eq $date2)) { exit 0 }
  if ( $line =~ m/^([`date +%a])*([`date +%Y`\s+])$/ ) { print "Exit code = 0\n"; exit 0; }
}
close(outfile);
print "Exit code = 2\n"; exit 2;

