#!/usr/bin/perl
$n_invert=$ARGV[0];

$stages = $n_invert;
print "* $stages stage Ring-Oscillator.\n*\n* Generated by running ring_osc.pl $n_invert <return>, where $n_invert is the number of inverters.\n*\n* Author: Eric Keiter\n* Date: 04/12/2008\n*\n";

print <<ENDOFPRINT;
.include modelcard.nmos
.include modelcard.pmos

vdd 1 0 2.0
ENDOFPRINT

for ($i=0;$i<$n_invert-1;$i++)
{
  $n1=$i;
  $n2=$i+1;
  $n3=$i+2;
  $n4=$i+3;

  print "mp$n2 $n4 $n3 1 1 p1 l=0.35u w=10u ad=5p pd=6u as=5p ps=6u\n";
  print "mn$n2 $n4 $n3 0 0 n1 l=0.35u w=5u  ad=5p pd=6u as=5p ps=6u\n";
}

$n1=$i;
$n2=$i+1;
$n3=$i+2;
$n4=$i+3;

print "mp$n2 2 $n3 1 1 p1 l=0.35u w=10u ad=5p pd=6u as=5p ps=6u\n";
print "mn$n2 2 $n3 0 0 n1 l=0.35u w=5u  ad=5p pd=6u as=5p ps=6u\n";
print "c1 $n3 0 .1p\n";
print "\n* ic statements.\n";

for ($i=1;$i<$n_invert-1;$i+=2)
{
  $val1=2.0;
  $val2=0.0;
  $n1=$i+1;
  $n2=$i+2;

  print ".ic v($n1)=$val1 v($n2)=$val2\n";
}
$n1=$i+1;
print ".ic v($n1)=$val1\n\n";

print <<ENDOFPRINT;
.options timeint debuglevel=-100
.options device debuglevel=-100

.tran .1ns 2ns
.options timeint reltol=1.0e-3
.print tran precision=12 width=21 {v(2)+1.0} {v($n1)+1.0}
.end

ENDOFPRINT

