#!/usr/bin/env perl

#use XyceRegression::Tools;

#$Tools = XyceRegression::Tools->new();

# The input arguments to this script are set up in
# Xyce_Test/TestScripts/tsc_run_test_suite and are as follows:
# $1 = location of Xyce binary
# $2 = location of xyce_verify.pl script
# $3 = location of compare script
# $4 = location of circuit file to test
# $5 = location of gold standard prn file

# If Xyce does not produce a prn file, then we return exit code 10.
# If Xyce succeeds, but the test fails, then we return exit code 2.
# If the shell script fails for some reason, then we return exit code 1.

# Since the shell script runs Xyce and the comparison program, it is
# responsible for capturing any error output from Xyce and the STDOUT & STDERR
# from the comparison program.  The outside script, run_xyce_regression,
# expects the STDERR output from Xyce to go into $CIRFILE.err, the STDOUT
# output from comparison to go into $CIRFILE.prn.out and the STDERR output from
# comparison to go into $CIRFILE.prn.err.

$XYCE=$ARGV[0];
$XYCE_VERIFY=$ARGV[1];
$XYCE_VERIFY=~ s/xyce_verify/ACComparator/;
$XYCE_COMPARE=$ARGV[2];
$CIRFILE=$ARGV[3];
$GOLDPRN=$ARGV[4];

system("rm -f $CIRFILE.NOISE.prn");
$CMD="$XYCE $CIRFILE > $CIRFILE.out 2> $CIRFILE.err ";
$retval = system("$CMD");

if ($retval != 0) { print "Exit code = 10\n"; exit $retval; }

$GOLDPRN =~ s/\.prn$/.NOISE.prn/; # insert ".NOISE" between base and .prn

if (-f "$CIRFILE.NOISE.prn")
{
  $CMD="$XYCE_VERIFY $GOLDPRN $CIRFILE.NOISE.prn";
  $retval = system("$CMD");

  if ($retval == 0) { $retcode = 0; }
  else { $retcode = 2; }
}
else { $retcode = 14; }

print "Exit code = $retcode\n"; exit $retcode;

