#!/usr/bin/env perl

#use lib '.';
use XyceRegression::Tools;
use XdmCommon;

#$Tools = XyceRegression::Tools->new();
#$Tools->setDebug(1);

# The input arguments to this script are set up in 
# Xyce_Test/TestScripts/tsc_run_test_suite and are as follows:
# $ARGV[0] = location of Xyce binary
# $ARGV[1] = location of xyce_verify.pl script
# $ARGV[2] = location of compare script  (This is NEVER used and can be ignored)
# $ARGV[3] = location of circuit file to test
# $ARGV[4] = location of gold standard prn file

use Getopt::Long;
&GetOptions( "verbose!" => \$verbose );
$XYCE=$ARGV[0];
#$XYCE_VERIFY=$ARGV[1];
$CIRFILE=$ARGV[3]; 
#$GOLDPRN=$ARGV[4];

# these are the tolerances used in comparing the measures calculated by this 
# script to those calculated by Xyce.  Zerotol is needed because some measured
# values should be zero (and reltol won't make sense in that case).
$absTol = 1.0e-5;
$relTol = 1.0e-3;
$zeroTol = 1.0e-10;

@searchstrings = ("Could not accept .OPTIONS",
                 ".PROBE64 V\\(alias\\(\\*\\)\\); Retained \\(as a comment\\). Continuing.",
                 ".PROBE64 I\\(alias\\(\\*\\)\\); Retained \\(as a comment\\). Continuing.",
                 ".PROBE64 W\\(alias\\(\\*\\)\\); Retained \\(as a comment\\). Continuing.",
                 ".PROBE D\\(alias\\(\\*\\)\\); Retained \\(as a comment\\). Continuing.",
                 ".PROBE NOISE\\(alias\\(\\*\\)\\); Retained \\(as a comment\\). Continuing.");
$searchStringsPtr=\@searchstrings;

XdmCommon::verifyXDMtranslation($XYCE,$XYCE_VERIFY,$CIRFILE,$absTol,$relTol,$zeroTol,
                                $verbose,$searchStringsPtr);

