
#ifndef  Xyce_CONFIG_H
#define  Xyce_CONFIG_H




/* 
  This flag is used to signal some code in N_UTL_Version.C which
  expcects that we're using autotools and not cmake 
 */
#define USING_CMAKE


/* 
  Define this to trick trilinos include files into using package_config.h 
  files.  Without this a lot of trilinos headers will faile. 
*/
#define HAVE_CONFIG_H


/*
  These are conditionally handled by cmake.  I've added the ifndef's to avoid
  warning about redefinging names as some of these may be defined in the
  package_include.h files from Trilinos
*/

/* Define to 1 if you have the <algorithm> header file. */
#ifndef HAVE_ALGORITHM
/* #undef HAVE_ALGORITHM */
#endif 

/* Define to 1 if you have the <algo.h> header file. */
#ifndef HAVE_ALGO_H
/* #undef HAVE_ALGO_H */
#endif

/* define if you have the bison parser generator */
#ifndef HAVE_BISON
/* #undef HAVE_BISON */
#endif

/* Define to 1 if you have the <cctype> header file. */
#ifndef HAVE_CCTYPE
#define HAVE_CCTYPE
#endif

/* Define to 1 if you have the <climits> header file. */
#ifndef HAVE_CLIMITS
#define HAVE_CLIMITS
#endif

/* Define to 1 if you have the <cmath> header file. */
#ifndef HAVE_CMATH
#define HAVE_CMATH
#endif

/* Define to 1 if you have the <cstdio> header file. */
#ifndef HAVE_CSTDIO
#define HAVE_CSTDIO
#endif

/* Define to 1 if you have the <cstdlib> header file. */
#ifndef HAVE_CSTDLIB
#define HAVE_CSTDLIB
#endif

/* Define to 1 if you have the <cstring> header file. */
#ifndef HAVE_CSTRING 
#define HAVE_CSTRING
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef HAVE_STRINGS_H
#define HAVE_STRINGS_H
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef HAVE_STRING_H
#define HAVE_STRING_H
#endif

/* Define to 1 if you have the <dlfcn.h> header file. */
#ifndef HAVE_DLFCN_H
/* #undef HAVE_DLFCN_H */
#endif

/* define if you have the flex lexical scanner generator */
#ifndef HAVE_FLEX
/* #undef HAVE_FLEX */
#endif

/* define if the Standard Template Library has flexible insert */
#ifndef HAVE_FLEXIBLE_INSERT
/* #undef HAVE_FLEXIBLE_INSERT */
#endif

/* Define to 1 if you have the <float.h> header file. */
#ifndef HAVE_FLOAT_H
#define HAVE_FLOAT_H
#endif

/* Define to 1 if you have the <fstream> header file. */
#ifndef HAVE_FSTREAM
#define HAVE_FSTREAM
#endif

/* Define to 1 if you have the `getopt' function. */
#ifndef HAVE_GETOPT
/* #undef HAVE_GETOPT */
#endif

/* Define to 1 if you have the `DRAND48' function. */
#ifndef HAVE_DRAND48
#define HAVE_DRAND48
#endif

/* Define to 1 if you have the <inttypes.h> header file. */
#ifndef HAVE_INTTYPES_H
/* #undef HAVE_INTTYPES_H */
#endif

/* Define to 1 if you have the <iostream> header file. */
#ifndef HAVE_IOSTREAM
#define HAVE_IOSTREAM
#endif

/* define if the Standard Template Library algorithms include iota */
#ifndef HAVE_IOTA
#define HAVE_IOTA
#endif

/* Define to 1 if you have the `amd' library (-lamd). */
#ifndef HAVE_LIBAMD
/* #undef HAVE_LIBAMD */
#endif

/* Define to 1 if you have the `expr' library (-lexpr). */
#ifndef HAVE_LIBEXPR
/* #undef HAVE_LIBEXPR */
#endif

/* Define to 1 if you have the `metis' library (-lmetis). */
#ifndef HAVE_LIBMETIS
/* #undef HAVE_LIBMETIS */
#endif

/* Define to 1 if you have the `parmetis' library (-lparmetis). */
#ifndef HAVE_LIBPARMETIS
/* #undef HAVE_LIBPARMETIS */
#endif

/* Define to 1 if you have the `superlu' library (-lsuperlu). */
#ifndef HAVE_LIBSUPERLU
/* #undef HAVE_LIBSUPERLU */
#endif

/* Define to 1 if you have the `superludist' library (-lsuperludist). */
#ifndef HAVE_LIBSUPERLUDIST
/* #undef HAVE_LIBSUPERLUDIST */
#endif

/* Define to 1 if you have the `umfpack' library (-lumfpack). */
#ifndef HAVE_LIBUMFPACK
/* #undef HAVE_LIBUMFPACK */
#endif

/* Define to 1 if you have the `y12m' library (-ly12m). */
#ifndef HAVE_LIBY12M
/* #undef HAVE_LIBY12M */
#endif

/* Define to 1 if you have the `zoltan' library (-lzoltan). */
#ifndef HAVE_LIBZOLTAN
/* #undef HAVE_LIBZOLTAN */
#endif

/* Define to 1 if you have the <limits.h> header file. */
#ifndef HAVE_LIMITS_H 
#define HAVE_LIMITS_H
#endif

/* Define to 1 if you have the 'mallinfo' function. */
#ifndef HAVE_MALLINFO
#define HAVE_MALLINFO
#endif

/* Define to 1 if you have the <malloc.h> header file. */
#ifndef HAVE_MALLOC_H 
#define HAVE_MALLOC_H
#endif

/* Define to 1 if you have the <math.h> header file. */
#ifndef HAVE_MATH_H
#define HAVE_MATH_H
#endif

/* Define to 1 if you have the <memory.h> header file. */
#ifndef HAVE_MEMORY_H
/* #undef HAVE_MEMORY_H */
#endif

/* define if the compiler implements namespaces */
#ifndef HAVE_NAMESPACES
/* #undef HAVE_NAMESPACES */
#endif

/* define if the compiler supports isnan and isinf checks */
#ifndef HAVE_NAN_INF_SUPPORT
#define HAVE_NAN_INF_SUPPORT
#endif

/* define if the compiler supports _isnan and _finite checks */
#ifndef HAVE__ISNAN_AND__FINITE_SUPPORT
/* #undef HAVE__ISNAN_AND__FINITE_SUPPORT */
#endif


/* Define to 1 if you have the <ostream> header file. */
#ifndef HAVE_OSTREAM
#define HAVE_OSTREAM
#endif

/* Define to 1 if you have the <pwd.h> header file. */
#ifndef HAVE_PWD_H 
#define HAVE_PWD_H
#endif

/* Define to 1 if you have the <ostream.h> header file. */
#ifndef HAVE_OSTREAM_H
/* #undef HAVE_OSTREAM_H */
#endif

/* Define to 1 if you have the <stdint.h> header file. */
#ifndef HAVE_STDINT_H
/* #undef HAVE_STDINT_H */
#endif

/* Define to 1 if you have the <stdlib.h> header file. */
#ifndef HAVE_STDLIB_H
/* #undef HAVE_STDLIB_H */
#endif

/* define if the compiler supports Standard Template Library */
#ifndef HAVE_STL
/* #undef HAVE_STL */
#endif

/* Define to 1 if you have the <strings.h> header file. */
#ifndef HAVE_STRINGS_H
#define HAVE_STRINGS_H
#endif

/* Define to 1 if you have the <string.h> header file. */
#ifndef HAVE_STRING_H
#define HAVE_STRING_H
#endif

/* Define to 1 if you have the <Windows.h> header file. */
#ifndef HAVE_WINDOWS_H
/* #undef HAVE_WINDOWS_H */
#endif

/* Define to 1 if you have the <sys/resource.h> header file. */
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H
#endif

/* Define to 1 if you have the <functional> header file. */
#ifndef HAVE_FUNCTIONAL
#define HAVE_FUNCTIONAL
#endif

/* Define to 1 if you have the 'getdomainname' function. */
#ifndef HAVE_GETDOMAINNAME
#define HAVE_GETDOMAINNAME
#endif

/* Define to 1 if you have the 'gethostname' function. */
#ifndef HAVE_GETHOSTNAME
#define HAVE_GETHOSTNAME
#endif

/* Define to 1 if you have the 'getpwuid' function. */
#ifndef HAVE_GETPWUID
#define HAVE_GETPWUID
#endif

/* Define to 1 if you have the <tr1/functional> header file. */
#ifndef HAVE_TR1_FUNCTIONAL
#define HAVE_TR1_FUNCTIONAL
#endif

/* Define to 1 if you have the <unordered_map> header file. */
#ifndef HAVE_UNORDERED_MAP
#define HAVE_UNORDERED_MAP
#endif

/* Define to 1 if you have the <tr1/unordered_map> header file. */
#ifndef HAVE_TR1_UNORDERED_MAP
#define HAVE_TR1_UNORDERED_MAP
#endif

/* Define to 1 if you have the <unordered_set> header file. */
#ifndef HAVE_UNORDERED_SET
#define HAVE_UNORDERED_SET
#endif

/* Define to 1 if you have the <tr1/unordered_set> header file. */
#ifndef HAVE_TR1_UNORDERED_SET
#define HAVE_TR1_UNORDERED_SET
#endif

/* define if the compiler has strcasecmp function */
#ifndef HAVE_STRCASECMP
#define HAVE_STRCASECMP
#endif

/* Define to 1 if you have the <sys/stat.h> header file. */
#ifndef HAVE_SYS_STAT_H
#define HAVE_SYS_STAT_H
#endif

/* Define to 1 if you have the <sys/types.h> header file. */
#ifndef HAVE_SYS_TYPES_H
/* #undef HAVE_SYS_TYPES_H */
#endif

/* Define to 1 if you have the <sys/utsname.h> header file. */
#ifndef HAVE_SYS_UTSNAME_H 
#define HAVE_SYS_UTSNAME_H
#endif

/* Define to 1 if you have the <unistd.h> header file. */
#ifndef HAVE_UNISTD_H
#define HAVE_UNISTD_H
#endif

/* Define to 1 if you have the <values.h> header file. */
#ifndef HAVE_VALUES_H
#define HAVE_VALUES_H
#endif

/* Define to 1 if you have the <Epetra_MultiVector.h> header file. */
#ifndef HAVE_EPETRA_MULTIVECTOR_H
#define HAVE_EPETRA_MULTIVECTOR_H
#endif

/* Define to 1 if you have the <Ifpack_CrsRiluk.h> header file. */
#ifndef HAVE_IFPACK_CRSRILUK_H
#define HAVE_IFPACK_CRSRILUK_H
#endif

/* Define to 1 if you have the <Amesos_Klu.h> header file. */
#ifndef HAVE_AMESOS_KLU_H
#define HAVE_AMESOS_KLU_H
#endif

/* Define to 1 if you have the <Amesos_Umfpack.h> header file. */
#ifndef HAVE_AMESOS_UMFPACK_H
#define HAVE_AMESOS_UMFPACK_H
#endif

/* Define to 1 if you have the <Amesos_Superlu.h> header file. */
#ifndef HAVE_AMESOS_SUPERLU_H
/* #undef HAVE_AMESOS_SUPERLU_H */
#endif

/* Define to 1 if you have the <NOX_Abstract_Vector.h> header file. */
#ifndef HAVE_NOX_ABSTRACT_VECTOR_H
#define HAVE_NOX_ABSTRACT_VECTOR_H
#endif

/* Define to 1 if you have the <LOCA_Parameter_Vector.h> header file. */
#ifndef HAVE_LOCA_PARAMETER_VECTOR_H
#define HAVE_LOCA_PARAMETER_VECTOR_H
#endif

/* define if math.h defines M_PI */
#ifndef MATH_H_HAS_M_PI
#define MATH_H_HAS_M_PI
#endif

/* define if stl string header does not cause pair.h to be included */
#ifndef NEED_PAIR_H
/* #undef NEED_PAIR_H */
#endif


/*
  These are carried over from autotools.  Don't really need them except
  that N_UTL_Version.C references them
*/
/* Name of package */
#ifndef PACKAGE
/* #undef PACKAGE */
#endif

/* Define to the address where bug reports for this package should be sent. */
#ifndef PACKAGE_BUGREPORT
/* #undef PACKAGE_BUGREPORT */
#endif

/* Define to the full name of this package. */
#ifndef PACKAGE_NAME
/* #undef PACKAGE_NAME */
#endif

/* Define to the full name and version of this package. */
#ifndef PACKAGE_STRING
/* #undef PACKAGE_STRING */
#endif

/* Define to the one symbol short name of this package. */
#ifndef PACKAGE_TARNAME
/* #undef PACKAGE_TARNAME */
#endif



/* DEBUG:  Define to the version of this package. */
#ifndef PACKAGE_VERSION
/* #undef PACKAGE_VERSION */
#endif

/* Define to 1 if you have the ANSI C header files. */
#ifndef STDC_HEADERS
/* #undef STDC_HEADERS */
#endif


/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
#ifndef YYTEXT_POINTER
/* #undef YYTEXT_POINTER */
#endif

/* Define to 1 if unistd.h header is not found */
#ifndef YY_NO_UNISTD_H 
/* #undef YY_NO_UNISTD_H */
#endif




/* -- Xyce configuration ---------------------------------------------------- */


/* -- version string ---------------- */
#define Xyce_VERSION_MAJOR 6
#define Xyce_VERSION_MINOR 5
/* #undef Xyce_VERSION_PATCH */
/* #undef Xyce_VERSION_EXTRA */


/* -- build options ----------------- */
/* #undef Xyce_ADAPTIVE_SOLVE */
#define Xyce_AMD
#define Xyce_BELOS
/* #undef Xyce_BTF */
/* #undef Xyce_CHARON */
/* #undef Xyce_Dakota */
/* #undef Xyce_Dakota50 */
/* #undef Xyce_DEPENDENCY_TRACKING */
#define Xyce_EXTDEV 
#define Xyce_KSPARSE
/* #undef Xyce_ML */
/* #undef Xyce_NEW_DAE_FORMULATION */
#define Xyce_NOX_USE_VECTOR_COPY
#define Xyce_OP_START

// The autotools build system only passes this in on the commandline.
#ifndef Xyce_PARALLEL_MPI
/* #undef Xyce_PARALLEL_MPI */
#endif

/* #undef Xyce_PARDISO_MKL */
/* #undef Xyce_RAD_MODELS */
/* #undef Xyce_NONFREE_MODELS */
#define Xyce_REACTION_PARSER
/* #undef Xyce_SENSITIVITY_ENABLE */
/* #undef Xyce_SHYLU */
#define Xyce_SPICE_NORMS
/* #undef Xyce_SUPERLU */
/* #undef Xyce_SUPERLUDIST */
/* #undef Xyce_TRILINOS_DEV */
#define Xyce_UMFPACK         
/* #undef Xyce_USE_BSIM3_CONST */
#define Xyce_USE_ISORROPIA
#define Xyce_USE_ZOLTAN
/* #undef Xyce_USE_HDF5 */
/* #undef Xyce_USE_CURL */
/* #undef Xyce_ATHENA */
#define Xyce_ADMS_SENSITIVITIES

/* -- verbosity options ------------- */
/* #undef Xyce_VERBOSE_LINEAR */
/* #undef Xyce_VERBOSE_NONLINEAR */
/* #undef Xyce_VERBOSE_NOX */
/* #undef Xyce_VERBOSE_TIME */


/* -- debugging options ------------- */
/* #undef Xyce_DEBUG */
/* #undef Xyce_DEBUG_ANALYSIS */
/* #undef Xyce_DEBUG_CIRCUIT */
/* #undef Xyce_DEBUG_DEVICE */
/* #undef Xyce_DEBUG_DIRECTSOLVE */
/* #undef Xyce_DEBUG_DISTRIBUTION */
/* #undef Xyce_DEBUG_EXPRESSION */
/* #undef Xyce_DEBUG_IO */
/* #undef Xyce_DEBUG_LINEAR */
/* #undef Xyce_DEBUG_NONLINEAR */
/* #undef Xyce_DEBUG_PARALLEL */
/* #undef Xyce_DEBUG_RESTART */
/* #undef Xyce_DEBUG_TIME */
/* #undef Xyce_DEBUG_TOPOLOGY */
/* #undef Xyce_TEST_SOLN_VAR_MAP */


/* -- internally set options -------- */

#define Xyce_NOX_LOCA_SUPPORT  
/* #undef Xyce_RESTART_NOPACK */
/* #undef Xyce_USE_INTEL_FFT */
/* #undef Xyce_USE_FFTW */
/* #undef Xyce_USE_FFT */




#endif 
